/*******************************************************************************
 * This file is part of RedReader.
 *
 * RedReader is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * RedReader is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with RedReader.  If not, see <http://www.gnu.org/licenses/>.
 ******************************************************************************/

package org.quantumbadger.redreader.common;

public class MutableFloatRectangle2D {

	public final MutableFloatPoint2D mTopLeft = new MutableFloatPoint2D();
	public final MutableFloatPoint2D mBottomRight = new MutableFloatPoint2D();

	public boolean intersect(MutableFloatRectangle2D other) {

		return !(mTopLeft.x > other.mBottomRight.x
				|| mTopLeft.y > other.mBottomRight.y
				|| other.mTopLeft.x > mBottomRight.x
				|| other.mTopLeft.y > mBottomRight.y);
	}
}
